### Function

# Ide widget_set_context_handler

#### Declaration

    void
    ide_widget_set_context_handler (
      GtkWidget* widget,
      IdeWidgetContextHandler handler
    )

#### Description

Calls `handler` when the `IdeContext` has been set for `widget`.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.
`handler` | `IdeWidgetContextHandler`
| A callback to handle the context.